Subject: Re: [PATCH 1/2 net-next v2] bonding: Extending LACP MUX State Machine to include a Collecting State.

From: Jay Vosburgh <[email-masked]>
Date: Tue, 09 Jan 2024 11:53:48 -0800

Hangbin Liu <[email-masked]> wrote:

>On Thu, Jan 04, 2024 at 05:38:52PM -0800, Jay Vosburgh wrote:
>> >+coupled_control
>> >+
>> >+    Specifies whether the LACP state machine's MUX in the 802.3ad mode
>> >+    should have separate Collecting and Distributing states.
>> >+
>> >+    The default value is 1. This setting does not separate the Collecting
>> >+    and Distributing states, maintaining the bond in coupled control.
>> >+
>> 
>> 	Please reference the standard in the description; this is
>> implementing the independent control state machine per IEEE 802.1AX-2008
>> 5.4.15 in addition to the existing coupled control state machine.
>
>The status of IEEE 802.1AX-2008[1] is "Superseded Standard". Maybe we should
>use IEEE 802.1AX-2020[2].
>
>[1] https://standards.ieee.org/ieee/802.1AX/4176/
>[2] https://standards.ieee.org/ieee/802.1AX/6768/

	I'm fine to still reference the 2008 (or 2014) standard even
though it's superseded; the 2020 standard is much more complicated, and
I find it harder to follow (particularly for the coupled / independent
control sections, the older standard explains them more clearly in my
reading).  Bonding does not implement any of the new things added for
the 2020 version, so we're not really missing anything.

	That said, as long as the citations are for the correct section
(the numbering is not consistent between versions) any version is
acceptable.

	-J

---
	-Jay Vosburgh, [email-masked]